		opt	x+
		illegal
		lea	path_dol(pc),a0
		lea	auto_env(pc),a1
copy1
		move.b	(a0)+,(a1)+
		bne.s	copy1
		tst.b	(a0)
		bne.s	copy1
		
		lea	auto_env_val(pc),a0
copy2
		move.b	(a0)+,(a1)+
		bne.s	copy2
		
		clr.b	(a1)

		clr	-(sp)
		trap	#1
		
auto_env_val	dc.b	"AUTO",0

PATH_DOL		dc.b	"PATH=",0		;1 var
PATH_DOL_LET	dc.b	"#:\,"		;1er param
PATH_DOLSYS_LET	dc.b	"#:\DOLMEN.SYS",0	;2eme param
		dc.b	0		;chaŚne finie
		even

auto_env		ds.b	64	;chaŚne d'environement
